Bug 1017199 - Unsuccessful roll back of attribute updates where no value previously existed.
Unsuccessful roll back of attribute updates where no value previously existed.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: EAP 6.2.0
Assigned To: Darran Lofthouse
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 08:30 EDT by Darran Lofthouse
Modified: 2013-12-15 11:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:18:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2271 Major Resolved A problem setting include-all on a role mapping is failing getting rolled back. 2013-10-17 04:52:54 EDT

  None (edit)
Description Darran Lofthouse 2013-10-09 08:30:02 EDT
Description of problem:

This was originally discovered for a failed roll back of the include-all attribute on a role mapping, however in general there is a problem where rolling back a write-attribute operation is failing where the value was previously not set.

Errors similar to the following can be seen: -

[Host Controller] ]: java.lang.IllegalArgumentException
[Host Controller] 	at org.jboss.dmr.ModelValue.asBoolean(ModelValue.java:66) [jboss-dmr-1.2.0.Final.jar:1.2.0.Final]
[Host Controller] 	at org.jboss.dmr.ModelNode.asBoolean(ModelNode.java:262) [jboss-dmr-1.2.0.Final.jar:1.2.0.Final]
[Host Controller] 	at org.jboss.as.domain.management.access.RoleIncludeAllWriteAttributeHander.revertUpdateToRuntime(RoleIncludeAllWriteAttributeHander.java:65)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Petr Kremensky 2013-10-17 04:16:01 EDT
Verified on EAP 6.2.0.ER6.

Note You need to log in before you can comment on or make changes to this bug.